﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WpfApplication25
{
    public class Person : INotifyPropertyChanged
    {
        string name = "Enter Name";
        public string Name
        {
            get { return name; }
            set
            {
                name = value;
                NotifyPropertyChanged("Name");
            }

        }
        string quantity = "0";
        public string Quantity
        {
            get { return quantity; }
            set
            {
                quantity = value;
                NotifyPropertyChanged("Quantity");
            }
        }

        bool married = true;
        public bool Married
        {
            get { return married; }
            set
            {
                married = value;
                NotifyPropertyChanged("Married");
            }
        }

        DateTime dob = DateTime.Now;
        public DateTime DOB
        {
            get { return dob; }
            set
            {
                dob = value;
                NotifyPropertyChanged("DOB");
            }
        }

        int id = 0;
        public int ID
        {
            get { return id; }
            set
            {
                id = value;
                NotifyPropertyChanged("ID");
            }
        }

        string address1 = string.Empty;
        public string Address1
        {
            get { return address1; }
            set
            {
                address1 = value;
                NotifyPropertyChanged("Address1");
            }
        }
        string city = string.Empty;
        public string City
        {
            get { return city; }
            set
            {
                city = value;
                NotifyPropertyChanged("City");
            }
        }
        string state = string.Empty;
        public string State
        {
            get { return state; }
            set
            {
                state = value;
                NotifyPropertyChanged("State");
            }
        }
        string zip = string.Empty;
        public string Zip
        {
            get { return zip; }
            set
            {
                zip = value;
                NotifyPropertyChanged("Zip");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }
    }

}
